Module jdk.jfr
Package jdk.jfr

## Annotation Type Enabled

-     @Target(TYPE)
      @Retention(RUNTIME)
      @Inherited
      public @interface Enabled

  Event annotation, determines if an event should be enabled by default.

  If an event doesn't have the annotation, then by default the event is enabled.

  Since:
    9

- - ### Field Summary

    Fields
    Modifier and Type | Fields | Description
    --- | --- | ---
    `static String` | `NAME` | Setting name `"enabled"`, signifies that the event should be recorded.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `boolean` | `value` | Returns `true` if by default the event should be enabled, `false` otherwise.

- - ### Field Detail

    - #### NAME

          static final String NAME

      Setting name `"enabled"`, signifies that the event should be recorded.

  - ### Element Detail

    - #### value

          boolean value

      Returns `true` if by default the event should be enabled, `false` otherwise.
      Returns:
        `true` if by default the event should be enabled by default, `false` otherwise
      Default:
        true